{
  "schema_version": "1.4.0",
  "id": "GHSA-r8m6-cvrj-9326",
  "modified": "2022-05-01T17:57:08Z",
  "published": "2022-05-01T17:57:08Z",
  "aliases": [
    "CVE-2007-1797"
  ],
  "details": "Multiple integer overflows in ImageMagick before 6.3.3-5 allow remote attackers to execute arbitrary code via (1) a crafted DCM image, which results in a heap-based overflow in the ReadDCMImage function, or (2) the (a) colors or (b) comments field in a crafted XWD image, which results in a heap-based overflow in the ReadXWDImage function, different issues than CVE-2007-1667.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1797"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/33376"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/33377"
    },
    {
      "type": "WEB",
      "url": "https://issues.foresightlinux.org/browse/FL-222"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1205"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9254"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=496"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24721"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24739"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25072"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25206"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25992"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26177"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29786"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29857"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36260"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200705-13.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1858"
    },
    {
      "type": "WEB",
      "url": "http://www.imagemagick.org/script/changelog.php"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:147"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_8_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0145.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0165.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23252"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23347"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1017839"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-481-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1200"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-04-02T22:19:00Z"
  }
}